### Method

# Gio Application set_default

since: 2.32

#### Declaration [src]

    void
    g_application_set_default (
      GApplication* application
    )

#### Description [src]

Sets or unsets the default application for the process, as returned by g_application_get_default().

This function does not take its own reference on `application`. If `application` is destroyed then the default application will revert back to `NULL`.

Available since: 2.32

#### Parameters

`application`

  Type: `GApplication`

  The application to set as default, or `NULL`.

  The argument can be `NULL`.